package ervu_dashboard.model.chart.round.label;

import ervu_dashboard.model.Font;

import ru.cg.webbpm.modules.standard_annotations.editor.ColorEditor;
import ru.cg.webbpm.modules.webkit.annotations.Model;

/**
 * @author Vitaly Chekushkin
 */

@Model
public class ChartLabelModel {
  public String text;
  @ColorEditor
  public String color;
  public Font font;

  public ChartLabelModel(String text, String color, Font font) {
    this.text = text;
    this.color = color;
    this.font = font;
  }

  public ChartLabelModel() {}

  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public String getColor() {
    return color;
  }

  public void setColor(String color) {
    this.color = color;
  }

  public Font getFont() {
    return font;
  }

  public void setFont(Font font) {
    this.font = font;
  }
}
